## helma.doc
Class DocElement

    java.lang.Object
      helma.doc.DocElement

Direct Known Subclasses:
  DocApplication, DocPrototype, DocRepositoryElement, DocResourceElement

    public abstract class DocElement

extends java.lang.Object

Field Summary
`static int` `ACTION`
`static int` `APPLICATION`
`static int` `FUNCTION`
`static int` `MACRO`
`static int` `PROPERTIES`
`static int` `PROTOTYPE`
`static int` `SKIN`
`static int` `TEMPLATE`
`static java.lang.String[]` `typeNames`

Constructor Summary
`protected` `DocElement(java.lang.String name, int type)`

Method Summary
`void` `addChild(DocElement child)`
`protected void` `addParameter(java.lang.String param)` add a string to the parameters-list
`void` `addTag(java.lang.String rawContent)`
`int` `countChildren()`
`static void` `debug(java.lang.String msg)`
`DocElement` `getChildElement(java.lang.String name)` from helma.framework.IPathElement.
`java.util.Map` `getChildren()`
`java.lang.String` `getComment()` returns the comment string, empty string if no comment is set.
`java.lang.String` `getContent()` the actual content of the doc element (the function body, the properties list, the file list etc.
`DocApplication` `getDocApplication()` walks up the tree and tries to find a DocApplication object
`java.lang.String` `getElementName()` from helma.framework.IPathElement.
`java.lang.String` `getName()` the simple name of the element
`java.lang.Object` `getParentElement()` from helma.framework.IPathElement.
`java.lang.String` `getPrototype()` from helma.framework.IPathElement.
`int` `getType()`
`java.lang.String` `getTypeName()`
`boolean` `hasParameter(java.lang.String param)`
`DocElement[]` `listChildren()` returns an array of doc elements, sorted by their name
`java.lang.String[]` `listParameters()` the list of parameters
`DocTag[]` `listTags()` list all tags
`DocTag[]` `listTags(java.lang.String type)` filter the tags according to their type
`void` `setParent(DocElement parent)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### APPLICATION

    public static final int APPLICATION

See Also:
  Constant Field Values

### PROTOTYPE

    public static final int PROTOTYPE

See Also:
  Constant Field Values

### ACTION

    public static final int ACTION

See Also:
  Constant Field Values

### TEMPLATE

    public static final int TEMPLATE

See Also:
  Constant Field Values

### FUNCTION

    public static final int FUNCTION

See Also:
  Constant Field Values

### MACRO

    public static final int MACRO

See Also:
  Constant Field Values

### SKIN

    public static final int SKIN

See Also:
  Constant Field Values

### PROPERTIES

    public static final int PROPERTIES

See Also:
  Constant Field Values

### typeNames

    public static final java.lang.String[] typeNames

Constructor Detail

### DocElement

    protected DocElement(java.lang.String name,
                         int type)

Method Detail

### getName

    public java.lang.String getName()

  the simple name of the element

### getType

    public int getType()

  Returns:
    ...

### getTypeName

    public java.lang.String getTypeName()

  Returns:
    ...

### getComment

    public java.lang.String getComment()

  returns the comment string, empty string if no comment is set.

### getContent

    public java.lang.String getContent()

  the actual content of the doc element (the function body, the properties list, the file list etc.

### addTag

    public void addTag(java.lang.String rawContent)

  Parameters:
    `rawContent` - ...

### listTags

    public DocTag[] listTags()

  list all tags

### listTags

    public DocTag[] listTags(java.lang.String type)

  filter the tags according to their type

### hasParameter

    public boolean hasParameter(java.lang.String param)

  Parameters:
    `param` - ...
  Returns:
    ...

### listParameters

    public java.lang.String[] listParameters()

  the list of parameters

### addParameter

    protected void addParameter(java.lang.String param)

  add a string to the parameters-list

### setParent

    public void setParent(DocElement parent)

  Parameters:
    `parent` - ...

### addChild

    public void addChild(DocElement child)

  Parameters:
    `child` - ...

### countChildren

    public int countChildren()

  Returns:
    ...

### getChildren

    public java.util.Map getChildren()

  Returns:
    ...

### listChildren

    public DocElement[] listChildren()

  returns an array of doc elements, sorted by their name

### getDocApplication

    public DocApplication getDocApplication()

  walks up the tree and tries to find a DocApplication object

### getElementName

    public java.lang.String getElementName()

  from helma.framework.IPathElement. Elements are named like this: typename_name

### getChildElement

    public DocElement getChildElement(java.lang.String name)

  from helma.framework.IPathElement. Retrieves a child from the children map.

### getParentElement

    public java.lang.Object getParentElement()

  from helma.framework.IPathElement. Returns the parent object of this instance if assigned.

### getPrototype

    public java.lang.String getPrototype()

  from helma.framework.IPathElement. Prototypes are assigned like this: "doc" + typename (e.g. docapplication, docprototype etc)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    ...

### debug

    public static void debug(java.lang.String msg)

  Parameters:
    `msg` - ...

Copyright © 1998-1998-${year} Helma.org. All Rights Reserved.